import { Injectable, ɵɵdefineInjectable, EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ButtonService = /** @class */ (function () {
    function ButtonService() {
    }
    ButtonService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    ButtonService.ctorParameters = function () { return []; };
    /** @nocollapse */ ButtonService.ngInjectableDef = ɵɵdefineInjectable({ factory: function ButtonService_Factory() { return new ButtonService(); }, token: ButtonService, providedIn: "root" });
    return ButtonService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// [disabled]="loading"
var ButtonComponent = /** @class */ (function () {
    function ButtonComponent() {
        this.texto = '';
        this.icon = '';
        this.disabled = false;
        this.width = 0;
        this.loading = false;
        this.accion = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ButtonComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        console.log(this.width);
        if (this.width > 0) {
            this.AgregarWidth();
        }
    };
    /**
     * @return {?}
     */
    ButtonComponent.prototype.Click = /**
     * @return {?}
     */
    function () {
        this.loading = true;
        $('#button').addClass('disabled');
        this.accion.emit();
    };
    /**
     * @return {?}
     */
    ButtonComponent.prototype.Finalizo = /**
     * @return {?}
     */
    function () {
        this.loading = false;
        $('#button').removeClass('disabled');
    };
    /**
     * @return {?}
     */
    ButtonComponent.prototype.AgregarWidth = /**
     * @return {?}
     */
    function () {
        console.log(this.width, $('#button'));
        $('#button').css('min-width', this.width);
    };
    ButtonComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ga-to-button',
                    template: "\n  <button (click)=\"Click()\" #button id=\"button\" class=\"cssButton\" [disabled]=\"loading || disabled\"\n    [ngClass]=\"{'disabled': loading || disabled}\">\n    <div class='text'>\n      <div *ngIf=\"loading\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i class=\"fas fa-sync-alt fa-pulse\"></i>\n      </div>\n      <div *ngIf=\"!loading && icon.length > 0\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i [class]=\"icon\"></i>\n      </div>\n      <span>{{texto}}</span>\n    </div>\n  </button>\n  ",
                    styles: [".cssButton{display:block;border:1px solid #2d6da3;padding:5px 12px 8px;width:-webkit-max-content;width:-moz-max-content;width:max-content;box-sizing:border-box;font-weight:400;font-size:14px;font-family:'Helvetica Neue','Segoe UI',Helvetica,Verdana,sans-serif;cursor:pointer;background-color:transparent;color:#2d6da3;border-radius:4px;line-height:1.35715}.cssButton:hover{background-color:rgba(45,109,163,.1)}.cssButton .text{text-align:center;padding:1px 6px}.button-indicator{float:left;margin-right:5px;position:relative;padding:0}.disabled{opacity:.5;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;zoom:1;cursor:default}"]
                }] }
    ];
    /** @nocollapse */
    ButtonComponent.ctorParameters = function () { return []; };
    ButtonComponent.propDecorators = {
        texto: [{ type: Input }],
        icon: [{ type: Input }],
        disabled: [{ type: Input }],
        width: [{ type: Input }],
        accion: [{ type: Output }]
    };
    return ButtonComponent;
}());
if (false) {
    /** @type {?} */
    ButtonComponent.prototype.texto;
    /** @type {?} */
    ButtonComponent.prototype.icon;
    /** @type {?} */
    ButtonComponent.prototype.disabled;
    /** @type {?} */
    ButtonComponent.prototype.width;
    /** @type {?} */
    ButtonComponent.prototype.loading;
    /** @type {?} */
    ButtonComponent.prototype.accion;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ButtonModule = /** @class */ (function () {
    function ButtonModule() {
    }
    ButtonModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [ButtonComponent],
                    imports: [
                        CommonModule
                    ],
                    exports: [ButtonComponent]
                },] }
    ];
    return ButtonModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: ga-to-button.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ButtonComponent, ButtonModule, ButtonService };
//# sourceMappingURL=ga-to-button.js.map
